Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 11-05-2013 11:28:52

jeanmarc1
Adhérent(e)
Lieu : Vence (06)
Distrib. : Jessie en dual-boot sur portables Dell
Noyau : Linux 3.16.0-4-686-pae
(G)UI : Mate
Inscription : 09-09-2012
Site Web

[Résolu] libreoffice dans la dernière mise à jour de wheezy

bonjour, ayant fait ce matin un aptitude full-upgrade, qui a upgradé notamment le kernel, je me retrouve avec un libreoffice non fonctionnel ou absent. quand je veux l'installer, j'obtiens ceci :

# aptitude install libreoffice
Les NOUVEAUX paquets suivants vont être installés :
  ant{a} ant-optional{a} fonts-lyx{a} fonts-opensymbol{a}
  fonts-sil-gentium{a} fonts-sil-gentium-basic{a} libapache-pom-java{a}
  libcmis-0.2-0{a} libcolamd2.7.1{a} libcommons-beanutils-java{a}
  libcommons-collections3-java{a} libcommons-compress-java{a}
  libcommons-digester-java{a} libcommons-logging-java{a}
  libcommons-parent-java{a} libdb-java{a} libdb-je-java{a} libdb5.1-java{a}
  libdb5.1-java-jni{a} libexttextcat-data{a} libexttextcat0{ab}
  libgraphite2-2.0.0{a} libhsqldb-java{ab} libhyphen0{a} libicu4j-java{a}
  libjline-java{a} libjtidy-java{a} liblucene2-java{a} libmythes-1.2-0{a}
  libregexp-java{a} libreoffice libreoffice-base{ab}
  libreoffice-base-core{a} libreoffice-calc{a} libreoffice-common{a}
  libreoffice-core{a} libreoffice-draw{a} libreoffice-emailmerge{a}
  libreoffice-filter-binfilter{a} libreoffice-filter-mobiledev{a}
  libreoffice-impress{a} libreoffice-java-common{a} libreoffice-math{a}
  libreoffice-report-builder-bin{a} libreoffice-style-galaxy{a}
  libreoffice-writer{a} libservlet2.5-java{a} libstlport4.6ldbl{a}
  libvisio-0.0-0{a} libwpd-0.9-9{a} libwpg-0.2-2{a} libwps-0.2-2{a}
  libxz-java{a} lp-solve{a} python-uno{a} ttf-liberation{a}
  ttf-sil-gentium-basic{a} uno-libs3{a} ure{a} xfonts-mathml{a}
0 paquets mis à jour, 60 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 1 936 ko/103 Mo d'archives. Après dépaquetage, 343 Mo seront utilisés.
Les paquets suivants ont des dépendances non satisfaites :
 libexttextcat0 : Dépend: libexttextcat-data (= 3.2.0-2) mais 3.4.0-4 doit être installé.
 libreoffice-base : Dépend: libhsqldb-java (< 1.8.1~) mais 2.2.9+dfsg-3 doit être installé.
 libhsqldb-java : Est en conflit avec: libreoffice-base (< 1:4.0.2~rc2-2) mais 1:3.5.4+dfsg2-1 doit être installé.
Les actions suivantes permettront de résoudre ces dépendances :

      Conserver les paquets suivants dans leur version actuelle :
1)      libexttextcat0 [Non installé]                            
2)      libreoffice [Non installé]                                
3)      libreoffice-base [Non installé]                          
4)      libreoffice-base-core [Non installé]                      
5)      libreoffice-calc [Non installé]                          
6)      libreoffice-common [Non installé]                        
7)      libreoffice-core [Non installé]                          
8)      libreoffice-draw [Non installé]                          
9)      libreoffice-emailmerge [Non installé]                    
10)     libreoffice-filter-binfilter [Non installé]              
11)     libreoffice-filter-mobiledev [Non installé]              
12)     libreoffice-impress [Non installé]                        
13)     libreoffice-java-common [Non installé]                    
14)     libreoffice-math [Non installé]                          
15)     libreoffice-report-builder-bin [Non installé]            
16)     libreoffice-style-galaxy [Non installé]                  
17)     libreoffice-writer [Non installé]                        
18)     python-uno [Non installé]                                

      Laisser les dépendances suivantes non satisfaites :        
19)     libreoffice-writer recommande libreoffice-filter-binfilter
20)     libreoffice-writer recommande libreoffice-math            


Accepter cette solution ? [Y/n/q/?]



et libreoffice ne s'installe pas. une piste ? merci ++

Dernière modification par jeanmarc1 (12-05-2013 15:33:20)


"Being is not doing"

Hors ligne

#2 11-05-2013 11:43:47

Thuban
Modérateur
Distrib. : OpenBSD
Noyau : current
(G)UI : xfce ou dwm
Inscription : 09-01-2009
Site Web

Re : [Résolu] libreoffice dans la dernière mise à jour de wheezy

Où est le problème? Ça ne s'installa pas lorsque tu acceptes la proposition d'aptitude?

Si non, peux-tu nous indiquer le contenu de ton /etc/apt/sources.list ,

YA3HGA-H

Hors ligne

#3 11-05-2013 14:28:02

jeanmarc1
Adhérent(e)
Lieu : Vence (06)
Distrib. : Jessie en dual-boot sur portables Dell
Noyau : Linux 3.16.0-4-686-pae
(G)UI : Mate
Inscription : 09-09-2012
Site Web

Re : [Résolu] libreoffice dans la dernière mise à jour de wheezy

Thuban a écrit :

Où est le problème? Ça ne s'installa pas lorsque tu acceptes la proposition d'aptitude?
Si non, peux-tu nous indiquer le contenu de ton /etc/apt/sources.list ,



merci pour ta réponse. oui, cela ne s'installe pas lorsque j'accepte la proposition d'aptitude :

Accepter cette solution ? [Y/n/q/?] y
Aucun paquet ne va être installé, mis à jour ou enlevé.
0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 0 o seront utilisés.
 



voici le sources.list (j'avais ajouté pour l'installation de la version 20 d'iceweasel - l'upgrade a installé les kernel 3.8) :

 ## wheezy
 deb http://ftp.fr.debian.org/debian/ wheezy main contrib non-free
 deb-src http://ftp.fr.debian.org/debian/ wheezy main contrib non-free
 deb http://ftp.fr.debian.org/debian/ sid main contrib non-free
 deb-src http://ftp.fr.debian.org/debian/ sid main contrib non-free
 deb http://ftp.fr.debian.org/debian/ experimental main contrib non-free
 deb-src http://ftp.fr.debian.org/debian/ experimental main contrib non-free

 ## wheezy multimedia
 deb http://www.deb-multimedia.org wheezy main non-free
 deb-src http://www.deb-multimedia.org wheezy main non-free
 deb http://linux.dropbox.com/debian wheezy main

 ## wheezy security
 deb http://security.debian.org/ wheezy/updates main contrib non-free
 deb-src http://security.debian.org/ wheezy/updates main contrib non-free
 
 ##squeeze
 deb http://ftp.fr.debian.org/debian/ squeeze main contrib non-free
 deb-src http://ftp.fr.debian.org/debian/ squeeze main contrib non-free

 ##squeeze updates
 deb http://ftp.fr.debian.org/debian/ squeeze-updates main contrib non-free
 deb-src http://ftp.fr.debian.org/debian/ squeeze-updates main contrib non-free
 deb http://backports.debian.org/debian-backports squeeze-backports main contrib non-free


"Being is not doing"

Hors ligne

#4 11-05-2013 14:53:16

jeanmarc1
Adhérent(e)
Lieu : Vence (06)
Distrib. : Jessie en dual-boot sur portables Dell
Noyau : Linux 3.16.0-4-686-pae
(G)UI : Mate
Inscription : 09-09-2012
Site Web

Re : [Résolu] libreoffice dans la dernière mise à jour de wheezy

en refusant la première proposition d'installation, et en acceptant la seconde, l'installation a pu se faire :

Accepter cette solution ? [Y/n/q/?] n
Les actions suivantes permettront de résoudre ces dépendances :

     Installer les paquets suivants :                
1)     libexttextcat-data [3.2.0-2 (stable, unstable)]
2)     libhsqldb-java [1.8.0.10-9 (oldstable)]  
Accepter cette solution ? [Y/n/q/?] y
 



je me retrouve avec un libreoffice 3..5.4.2 qui a l'air de bien fonctionner.


"Being is not doing"

Hors ligne

#5 11-05-2013 15:16:07

Thuban
Modérateur
Distrib. : OpenBSD
Noyau : current
(G)UI : xfce ou dwm
Inscription : 09-01-2009
Site Web

Re : [Résolu] libreoffice dans la dernière mise à jour de wheezy

Ton sources.list me laisse perplexe toutefois. Tu as activé les dépots pour sid et experimental. Je suppose que tu as configuré /etc/apt/preferences comme il faut ?

YA3HGA-H

Hors ligne

#6 11-05-2013 15:26:07

jeanmarc1
Adhérent(e)
Lieu : Vence (06)
Distrib. : Jessie en dual-boot sur portables Dell
Noyau : Linux 3.16.0-4-686-pae
(G)UI : Mate
Inscription : 09-09-2012
Site Web

Re : [Résolu] libreoffice dans la dernière mise à jour de wheezy

Thuban a écrit :

Ton sources.list me laisse perplexe toutefois. Tu as activé les dépots pour sid et experimental. Je suppose que tu as configuré /etc/apt/preferences comme il faut ?



non, je n'ai pas configuré /etc/apt/preferences. j'avais, je crois, ajouté sid et experimental pour obtenir une version récente de iceweasel. je n'en ai pas besoin pour le reste.


"Being is not doing"

Hors ligne

#7 11-05-2013 15:47:30

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [Résolu] libreoffice dans la dernière mise à jour de wheezy

Dajà, tu peux simplifier ton fichier comme cela, à moins que tu ne télécharges les codes sources pour compiler toi-même certains logiciels :

 ## Dépôts officiels
 deb http://ftp.fr.debian.org/debian/ wheezy main contrib non-free
 deb http://ftp.fr.debian.org/debian/ sid main contrib non-free
 deb http://ftp.fr.debian.org/debian/ experimental main contrib non-free
 deb http://security.debian.org/ wheezy/updates main contrib non-free

 ## Dépôt multimedia
 deb http://www.deb-multimedia.org wheezy main non-free

 ## Dépôt dropbox
 deb http://linux.dropbox.com/debian wheezy main
 



Ensuite, tu remarqueras que tu as « sid » et « experimental » dans ton fichier sources.list, tu n'es donc pas en wheezy mais en sid. Tu n'as donc pas à t'étonner d'avoir des dépendances cassées juste après le dégel…

Mon conseil pour revenir en wheezy : supprime les lignes « sid » et « experimental », qu'on ne mélange de toute façon pas avec « stable ». Il te faudra ensuite downgrader les paquets qui ne sont pas dans wheezy.

[Edit: ah zut, je lag…]


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#8 11-05-2013 17:40:02

jeanmarc1
Adhérent(e)
Lieu : Vence (06)
Distrib. : Jessie en dual-boot sur portables Dell
Noyau : Linux 3.16.0-4-686-pae
(G)UI : Mate
Inscription : 09-09-2012
Site Web

Re : [Résolu] libreoffice dans la dernière mise à jour de wheezy

captnfab a écrit :

Dajà, tu peux simplifier ton fichier comme cela, à moins que tu ne télécharges les codes sources pour compiler toi-même certains logiciels :



merci beaucoup. je vais suivre tes conseils. je ne souhaite pas être en sid.


"Being is not doing"

Hors ligne

#9 12-05-2013 15:32:56

jeanmarc1
Adhérent(e)
Lieu : Vence (06)
Distrib. : Jessie en dual-boot sur portables Dell
Noyau : Linux 3.16.0-4-686-pae
(G)UI : Mate
Inscription : 09-09-2012
Site Web

Re : [Résolu] libreoffice dans la dernière mise à jour de wheezy

captnfab a écrit :

Dajà, tu peux simplifier ton fichier comme cela, à moins que tu ne télécharges les codes sources pour compiler toi-même certains logiciels :
Mon conseil pour revenir en wheezy : supprime les lignes « sid » et « experimental », qu'on ne mélange de toute façon pas avec « stable ». Il te faudra ensuite downgrader les paquets qui ne sont pas dans wheezy.



finalement, comme il y avait des bugs, j'ai réinstallé une wheezy fraîche dans une seconde partition, en mettant le sources.list simplifié. tout est ok maintenant. j'ai juste du mettre momentanément une ligne deb http://ftp.fr.debian.org/debian/ squeeze main contrib non-free, avec un update, pour pouvoir installer kompozer. ensuite, je l'ai supprimée en la commentant, avec un nouvel update. je ne sais pas si une telle manip est ennuyeuse pour le système. merci en tout cas à thuban et cptnfab ++


"Being is not doing"

Hors ligne

#10 12-05-2013 21:15:03

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : [Résolu] libreoffice dans la dernière mise à jour de wheezy

Salut

Cette fois-ci tu peux laisser la ligne concernant squeeze sans problème (kompozer étant disponible uniquement pour squeeze). Comme les paquets se trouvant dans le dépôt squeeze sont des versions plus anciennes que sont de wheezy tu ne risques pas d'avoir des surprises. Et si jamais une mise à jour de sécurité est disponible pour kompozer tu mettras le paquet à jour.

"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#11 13-05-2013 06:48:03

jeanmarc1
Adhérent(e)
Lieu : Vence (06)
Distrib. : Jessie en dual-boot sur portables Dell
Noyau : Linux 3.16.0-4-686-pae
(G)UI : Mate
Inscription : 09-09-2012
Site Web

Re : [Résolu] libreoffice dans la dernière mise à jour de wheezy

martinux_qc a écrit :

Salut
Cette fois-ci tu peux laisser la ligne concernant squeeze sans problème (kompozer étant disponible uniquement pour squeeze). Comme les paquets se trouvant dans le dépôt squeeze sont des versions plus anciennes que sont de wheezy tu ne risques pas d'avoir des surprises. Et si jamais une mise à jour de sécurité est disponible pour kompozer tu mettras le paquet à jour.



merci pour ton bon conseil. je ne savais pas si c'était prudent. bonne journée ++


"Being is not doing"

Hors ligne

Pied de page des forums